#ifndef _ELIMINACAO_H_
#define _ELIMINACAO_H_


#include "grafos.h"

void eliminacao(permutacao *p,reversals* revs);
void atualizarCicloDecomposicao(permutacao* p,decomposicaoCiclos *C,int posReversao, int vertice,reversals* revs, int cor);
void aplicaReversao(reversalGraph* g, int v,decomposicaoCiclos *C);

void flipaAresta(reversalGraph* g,int u,int v,decomposicaoCiclos *C);
void flipaCor(reversalGraph* g,int v);
void dfsReversal(reversalGraph* g,int v,int lider);
int verificaOrientacao(reversalGraph *g,int v,char marcado[]);
void preProcessa(reversalGraph* g);

void reverte(permutacao* p,int a,int b);

#endif
