#ifndef OPERADORES_H_
#define OPERADORES_H_

#include "estructuras.h"

int dif_breakpoints(permutacion *p, int pos_a, int pos_b);
int determinar_reversals(permutacion *p, gen reversals[], int breakpoints[]);
void aplicar_reversal(poblacion *pob, int pos, int pos_a, int pos_b);
void poblacion_inicial(permutacion *p, poblacion *pob, int flag_rev_ini, int flag_pos);
void evaluar_fitness(permutacion *p, poblacion *pob);
void swap2(poblacion *pob,int i, int j);
int partition(poblacion *pob, int left, int right);
void quickSort(poblacion *pob, int left, int right);
void seleccion(poblacion *pob);
void crossover(poblacion *pob);
void mutacion(permutacion *p, poblacion *pob, int tamanhoLimite, int delta,int flag_pos);
void nuevos_genes(permutacion *p, poblacion *pob, int flag_pos);


#endif
